# Simple class holding settings for the terse file expansion
module Terse

	class Settings
		attr_accessor :lang
		attr_accessor :file_ext # do not include the leading . , e.g. "rb" not ".rb"
		attr_accessor :one_keyword_per_line

		attr_accessor :loop_start
		attr_accessor :loop_ending
        attr_accessor :line_ending

        attr_accessor :indent_in # array of keywords that should cause inward indentation
        attr_accessor :indent_in_regex # regex that should match any of @indent_in as closely as possible
        attr_accessor :indent_out # array of keywords that should cause outward indentation
        attr_accessor :indent_out_regex # regex that should match any of @indent_out as closely as possible

	end

end